# caddy-anubis

caddy-anubis is a plugin that loads anubis for requests in order to slow down AI and Scraper traffic from destroying infrastucture.

I do not currently recommend it for production usage as the current implementation is more of a Proof-of-Concept then anything and due to it being pinned to anubis v1.15.2 as the main.mjs was no longer served on later versions

## Known Issues

- The very first request after a Caddy start or restart takes about 5 seconds before anubis kicks in. All subsequent requests, even after clearing cookies work perfectly and are near instant.

## Usage

AFIK doesn't work inside a `route` or `handler` block.

Example:

```caddy
#order anubis after encode
#order redir after anubis
localhost {
  request_header +X-Real-IP {remote_host}
	request_header +X-Forwarded-For {remote_host}
  anubis

  reverse_proxy 127.0.0.1:3000
}
```

## Build from source

```bash
xcaddy build --with git.home.arpa/z0x/caddy-anubis
```

## Credits

- [TecharoHQ/anubis](https://github.com/TecharoHQ/anubis)
- [daegalus/caddy-anubis](https://github.com/daegalus/caddy-anubis)
- [vale981/caddy-anubis](https://github.com/vale981/caddy-anubis)
